#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	libpciaccess library to access PCI bus and devices
Summary(pl.UTF-8):	Biblioteka libpciaccess do dostępu do szyny i urządzeń PCI
Name:		xorg-lib-libpciaccess
Version:	0.18.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/archive/individual/lib/libpciaccess-%{version}.tar.xz
# Source0-md5:	57c7efbeceedefde006123a77a7bc825
URL:		https://xorg.freedesktop.org/
BuildRequires:	meson >= 0.48.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
# pci.ids
Requires:	hwdata >= 0.243-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libpciaccess library provides generic access to the PCI bus and
devices.

%description -l pl.UTF-8
Biblioteka pciaccess daje ogólny dostep do szyny i urządzeń PCI.

%package devel
Summary:	Header files for pciaccess library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki pciaccess
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel

%description devel
This package contains the header files needed to develop programs that
use pciaccess library.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki pciaccess.

%package static
Summary:	Static pciaccess library
Summary(pl.UTF-8):	Biblioteka statyczna pciaccess
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains the static pciaccess library.

%description static -l pl.UTF-8
Pakiet zawiera statyczną bibliotekę pciaccess.

%prep
%setup -q -n libpciaccess-%{version}

%if %{with static_libs}
%{__sed} -i -e '/^libpciaccess = / s/shared_library/library/' src/meson.build
%endif

%build
%meson build \
	-Dpci-ids=/lib/hwdata \
	-Dzlib=enabled

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README.md
%attr(755,root,root) %{_libdir}/libpciaccess.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpciaccess.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpciaccess.so
%{_pkgconfigdir}/pciaccess.pc
%{_includedir}/pciaccess.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpciaccess.a
%endif
%changelog
* Sun Mar 24 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libpciaccess.git;a=log;h=master

* Sun Mar 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 9b88ea4
- updated to 0.18.1

* Mon Feb 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 86b83fe
- updated to 0.18 (uses meson now)

* Wed Oct 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 1dcce3d
- updated to 0.17

* Sun Jul 21 2019 Jakub Bogusz <qboosh@pld-linux.org> 4facf09
- updated to 0.16

* Mon Jul 15 2019 Jakub Bogusz <qboosh@pld-linux.org> deea1c5
- updated to 0.15

* Mon Oct 23 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f7734b6
- up to 0.14

* Thu Apr 06 2017 Jakub Bogusz <qboosh@pld-linux.org> 72fc4bb
- updated to 0.13.5

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> fbfb968
- updated to 0.13.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 42c4b5d
- x32 rebuild
- release 2 (by relup.sh)

* Wed Feb 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4bfb38d
- up to 0.13.3

* Mon Jul 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 310fa25
- updated to 0.13.2

* Wed Jan 23 2013 Elan Ruusamäe <glen@delfi.ee> 14e68ef
- use hwdata for pci.ids(.gz) access

* Tue Apr 10 2012 Jakub Bogusz <qboosh@pld-linux.org> a60b6cd
- updated to 0.13.1

* Sun Mar 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 1c7da64
- updated to 0.13

* Tue May 31 2011 Tomasz Pala <gotar@pld-linux.org> 3d6e2b7
- removed unused *.la files

* Thu Feb 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 31d94cd
- up to 0.12.1

* Thu Aug 05 2010 Jakub Bogusz <qboosh@pld-linux.org> 0b58b2a
- updated to 0.12.0

* Wed Dec 16 2009 Jakub Bogusz <qboosh@pld-linux.org> 4ee7a84
- updated util-macros BR

* Tue Dec 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 055b121
- up to 0.11.0

* Fri Sep 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b17da7f
- up to 0.10.9

